"""
Task:
Create a program, which goes through all files in the directory CSFD 
and prints out the name of each file containg in its text the word Dory.
Again be careful with choosing the correct encoding.

Sample output:  
Hleda_se_Dory.txt
Hleda_se_Nemo.txt

Bonus:
Modify the program so that it will search the whole directory tree
(i.e. it would find also CSFD/Pohadky/Animovane/Hleda_se_Nemo.txt).
"""

import glob
from os import path


def file_contains(filename: str, what: str, encoding='utf8') -> bool:
    """
    Decide whether the file filename contains what in its text.
    Return False, if it cannot be opened or if it is a directory.
    """
    try:
        with open(filename, encoding=encoding) as f:
            text = f.read()
        return what in text
    except (FileNotFoundError, PermissionError, IsADirectoryError):
        return False


filenames = glob.glob('CSFD/*')

for filename in filenames:
    if file_contains(filename, 'Dory'):
        print(path.basename(filename))
