"""
Task:
Create a program, which will read the file form.txt and print it to 
the output line by line. On each line ending with a colon, the output 
will pause until the user enters the required information and presses Enter.
At the end, the form with filled information will be saved into file 
form-filled.txt. An example of the output file is form-filled-example.txt.

Bonus: 
Modify the program so that it allows the user to choose the names of the
input and output file. If the output file already exists, the program will
ask the user whether they want to overwrite this file.

Bonus2: 
Automatically add the date at the end of the output file.
"""

from os import path
import datetime


input_file = input('Input file: ')
output_file = input('Output file: ')
if path.exists(output_file):
    overwrite = input(f'File {output_file} already exists. Do you wish to overwrite it? (y/n)')
    if overwrite != 'y':
        exit()

with open(input_file, encoding='utf8') as fr:
    with open(output_file, 'w', encoding='utf8') as fw:
        for line in fr:
            line = line.rstrip('\r\n')
            if line.strip().endswith(':'):
                print(line, end='')
                value = input()
                fw.write(f'{line}{value}\n')
            else:
                fw.write(f'{line}\n')
        date = datetime.datetime.now().date()
        fw.write(date.strftime('Date: %d %B %Y\n'))  
